Subject: Re: [X2Go-Dev] Bug#776: nx-X11: Size of pointer 'server_support' used instead of size of its data

From: Mihai Moldovan <[email-masked]>
Date: Sun, 01 Feb 2015 06:37:18 +0100

If I may...

On 31.01.2015 10:24 PM, Heinrich Schuchardt wrote:
> In the last year a lot of security relevant errors were discovered and
> fixed in the x-server code. What is the policy of the x2go project? Do
> you want to rebase the nx-libs package on current xorg code? Do you
> plan to support Wayland which will be replacing x11?

The long-term goal is to rebase nx-libs against current Xorg code and
have it even potentially merged upstream. This will however require a
lot of funding or alternatively time. We discussed this issue to great
length during the last X2Go meeting in October/November 2014.

Meanwhile, Mike is currently factoring out a lot of dead code which has
been copied verbatim by NoMachine, but is not actually used for building
nx-libs. And doing a tremendous job at that.

Mihai